processing.app.contrib

## Class LocalContribution

- Object
- - Contribution
  - - LocalContribution

- Direct Known Subclasses:
    ExamplesContribution, Library, ModeContribution, ToolContribution

      public abstract class LocalContribution
      extends Contribution

  A contribution that has been downloaded to the disk, and may or may not be installed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELETION_FLAG`
    `static String` | `RESTART_FLAG`
    `static String` | `UPDATE_FLAGGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalContribution(File folder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getFolder()`
    `String` | `getId()`
    `int` | `getLatestVersion()`
    `String[]` | `getSpecifiedImports()` Returns the imports (package-names) for a library, as specified in its library.properties (e.g., imports=libname.*,libname.support.*)
    `String` | `initLoader(String className)`
    `boolean` | `isInstalled()`

    - ### Methods inherited from class Contribution

      `getAuthorList, getLastUpdated, getMaxRevision, getMinRevision, getName, getParagraph, getPrettyVersion, getSentence, getType, getTypeName, getUrl, getVersion, isCompatible`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETION_FLAG

          public static final String DELETION_FLAG

      See Also:
        Constant Field Values

    - #### UPDATE_FLAGGED

          public static final String UPDATE_FLAGGED

      See Also:
        Constant Field Values

    - #### RESTART_FLAG

          public static final String RESTART_FLAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalContribution

          public LocalContribution(File folder)

  - ### Method Detail

    - #### initLoader

          public String initLoader(String className)
                            throws Exception

      Throws:
        `Exception`

    - #### getFolder

          public File getFolder()

    - #### isInstalled

          public boolean isInstalled()

      Specified by:
        `isInstalled` in class `Contribution`

    - #### getId

          public String getId()

    - #### getLatestVersion

          public int getLatestVersion()

    - #### getSpecifiedImports

          public String[] getSpecifiedImports()

      Returns the imports (package-names) for a library, as specified in its library.properties (e.g., imports=libname.*,libname.support.*)
      Returns:
        String[] packageNames (without wildcards) or null if none are specified